org.apache.ignite.internal.util.lang

## Class GridIteratorAdapter<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridIteratorAdapter<T>

All Implemented Interfaces:
  Serializable, Iterable<T>, Iterator<T>, GridSerializableIterator<T>, GridIterator<T>

Direct Known Subclasses:
  FilteredWalIterator, FlatIterator, GridCloseableIteratorAdapter, GridCloseableIteratorAdapterEx, GridEmptyIterator, TransformFilteringIterator

    public abstract class GridIteratorAdapter<T>
    extends Object
    implements GridIterator<T>

Convenient adapter for "rich" iterator interface.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridIteratorAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`Iterator<T>` `iterator()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### GridIteratorAdapter

    public GridIteratorAdapter()

### Method Detail

#### next

    public final T next()

Specified by:
  `next` in interface `Iterator<T>`

#### hasNext

    public final boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### remove

    public final void remove()

Specified by:
  `remove` in interface `Iterator<T>`

#### iterator

    public final Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020